<?php

//USING
require_once 'controls/verifylogin.php';
require_once '../Class/model/BancosModel.php';
require_once '../Class/controller/BancosControl.php';

	$bancoControl = new BancosControl();
	$banco = new BancosModel();

	$bancoControl->setDel();
	
	$del = $bancoControl->getDel();

	if ($del > 0)
	{
		$banco->setId($del);
		$banco->delete();
	}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>Módulo Financeiro</title>

<?php include_once('controls/import.php'); ?>

</head>
<body>

<?php include_once('controls/header.php'); ?>

<div class="content">

<div class="form"><?php include_once('controls/menu.php'); ?>

<div id="conteudo-site">

<div class="titulo-conteudo-site"><img src="images/applications.png"
	title="" alt="" /> Bancos</div>



<div class="pg-botoes" style="float: right;"><a href="cadbancos.php"
	class="submit"> cadastrar </a></div>
<br clear="all" />
<table border="0" cellpadding="3" cellspacing="0"
	class="gridPesquisa fundoGridPesquisa" width="100%">
	<tr>
		<th>Id</th>
		<th>Nome da Conta</th>
		<th>Num. Banco</th>
		<th>Agência</th>
		<th>Conta Corrente</th>
		<th></th>
	</tr>

	<?php

	$banco = new BancosModel();

	foreach ($banco->listAll() as $item) {

		echo "<tr>";
		echo "<td> <a href='cadbancos.php?id={$item->getId()}'> {$item->getId()} </a></td>";
		echo "<td> <a href='cadbancos.php?id={$item->getId()}'> {$item->getNomConta()} </a> </td>";
		echo "<td> <a href='cadbancos.php?id={$item->getId()}'> {$item->getNumBanco()} </a> </td>";
		echo "<td> <a href='cadbancos.php?id={$item->getId()}'> {$item->getAgencia()} </a> </td>";
		echo "<td> <a href='cadbancos.php?id={$item->getId()}'> {$item->getContaCorrente()} </a> </td>";
		echo "<td> <a href='bancos.php?del={$item->getId()}' onclick='return DeleteItem();'> <img src='images/ico-minus.png' /> </td>";
		echo "</tr>";
	}

	?>
</table>
</div>

</div>

</div>

	<?php include_once('controls/footer.php'); ?>

</body>
</html>
